Bug 625903 - [Xen] backport hardware task switching for HVM guests
Summary: [Xen] backport hardware task switching for HVM guests
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
(Show other bugs)
Version: 5.5
Hardware: All Linux
high
high
Target Milestone: rc
: ---
Assignee: Paolo Bonzini
QA Contact: Jan Tluka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 514489 624598
TreeView+ depends on / blocked
 
Reported: 2010-08-20 18:28 UTC by Paolo Bonzini
Modified: 2011-01-13 21:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 624598
Environment:
Last Closed: 2011-01-13 21:12:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
simple reproducer for 32-bit Linux guests (3.95 KB, text/plain)
2010-08-27 08:28 UTC, Paolo Bonzini
no flags Details
patch series to fix the bug (77.56 KB, patch)
2010-08-30 16:53 UTC, Paolo Bonzini
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Paolo Bonzini 2010-08-20 18:28:53 UTC
Windows sends NMI using a task gate.  This needs to be backported to Xen.

Comment 1 Paolo Bonzini 2010-08-27 08:28:17 UTC
Created attachment 441435 [details]
simple reproducer for 32-bit Linux guests

To reproduce under a RHEL5.5 Linux guest:

1) place the attached file into the guest's file system
2) install kernel-headers
3) Run the following commands:

sh double-fault.sh
cd double-fault
make
insmod double-fault.ko
rmmod double-fault

4) The guest should hang and not reset.  xm dmesg should _not_ mention a triple fault.

Comment 2 RHEL Product and Program Management 2010-08-27 15:29:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Paolo Bonzini 2010-08-30 16:53:07 UTC
Created attachment 441986 [details]
patch series to fix the bug

on top of the patches for 625902

Comment 10 Jarod Wilson 2010-09-17 14:03:07 UTC
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 14 errata-xmlrpc 2011-01-13 21:12:35 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.